Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
[Java] Class ReflectionMetaMethod

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.runtime.metaclass.ReflectionMetaMethod

    public class ReflectionMetaMethod
    extends MetaMethod

Field Summary
`protected CachedMethod` | `method`

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`ReflectionMetaMethod(CachedMethod method)`

Method Summary
`MetaMethod` | `getCachedMethod()`
`CachedClass` | `getDeclaringClass()`
`int` | `getModifiers()`
`java.lang.String` | `getName()`
`protected java.lang.Class[]` | `getPT()`
`java.lang.Class` | `getReturnType()`
`java.lang.Object` | `invoke(java.lang.Object object, java.lang.Object[] arguments)`
`java.lang.String` | `toString()`

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### method

    protected final CachedMethod method

Constructor Detail

### ReflectionMetaMethod

    public ReflectionMetaMethod(CachedMethod method)

Method Detail

### getCachedMethod

    public MetaMethod getCachedMethod()

### getDeclaringClass

    public CachedClass getDeclaringClass()

### getModifiers

    public int getModifiers()

### getName

    public java.lang.String getName()

### getPT

    protected java.lang.Class[] getPT()

### getReturnType

    public java.lang.Class getReturnType()

### invoke

    public java.lang.Object invoke(java.lang.Object object, java.lang.Object[] arguments)

### toString

    public java.lang.String toString()

Groovy Documentation